import pytest

from all_backend_api.hospitals_request import hospitals_request
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest


class TestDoctor:
    data = BaseRequest().api_load(path_setting.HOSPITAL_DOCTOR)
    doctor_case, doctor_data = get_ids(data, "doctor")

    @pytest.mark.parametrize("param", doctor_data, ids=doctor_case)
    def test_doctor(self, param):
        r = hospitals_request().doctor()

        assert r["error"] == param["assert_error"]






